View Issue Details

IDProjectCategoryView StatusLast Update
0002710SketcherBugpublic2017-08-19 15:52
ReporterSterna Assigned Toabdullah  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformMacBook Pro, Early 2011OSMac OS XOS Version10.11.6
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002710: Freecad doesn't show sketch elements added when overconstrained
DescriptionIf you have an overconstrained sketch, Freecad will not show sketched features drawn without any constraints. The features show up by either adding another feature and creating auto constraints or by saving and re-opening the file. If you are in the state with any "hidden" features and press undo (cmd+z), Freecad crashes.
This bug works the same way in both version 0.16 (6706) and 0.17 (8471).
Steps To Reproduce1. Open the attached file (HiddenSketchFeatures017 or 016) file
2. Add any number sketch elements without auto-added constraints. They will all be hidden. Some will even crash Freecad immediately (like the more advanced such as rectangle or slot).
3. Add any constraint. The hidden elements will now appear.
4. Use the "Undo" action (cmd+z or the Undo menu item). Freecad will crash when removing one of these hidden (or previously hidden) elements.
Additional InformationThese are the about-dumps for my Freecad versions. They were downloaded today:
0.16:
OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: tag: 0.16.6706
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17

0.17:
OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8471 (Git)
Build type: Release
Branch: (detached from f944ab3)
Hash: f944ab3846a52e8f19bb2d4f6ec66e392669cdf5
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.0.0
Tagsundo
FreeCAD Information

Relationships

related to 0002650 closed Lines random scale 
related to 0002836 closedwmayer Crash in sketcher 

Activities

Sterna

2016-09-26 16:48

reporter  

HiddenSketchFeatures.zip (7,920 bytes)

Kunda1

2017-01-15 15:17

administrator   ~0007796

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=10&t=19923

Kunda1

2017-03-20 22:02

administrator   ~0008669

Linked 0002650 even though not sure they are related beside the undo issue. The OP of 0002650 is unresponsive and didn't post a sample file. So I'm linking for recognition JIC it has something to do with this ticket.

Kunda1

2017-04-28 20:38

administrator   ~0008817

Not reproducible by @abdullah in https://forum.freecadweb.org/viewtopic.php?f=10&t=19923&p=171723#p171723
Perhaps this is an OSX issue?

chrisb

2017-04-30 05:02

developer   ~0008832

I tested with exactly the same OSX FreeCAD-version. No problems here either.

As the problem occurs in versions 0.16 and 0.17: my recommendation to the reporter sterna is to delete his config files in ~/Library/Preferences/FreeCAD, as 0.16 and 0.17 share the same config.

Sterna

2017-04-30 06:59

reporter   ~0008833

As stated in the forum thread, deleting the config files solved the issue. I'll upload my old config files so you can look at them if you need to further investigate this issue.

system.cfg (9,573 bytes)
user.cfg (28,552 bytes)

chrisb

2017-04-30 21:42

developer   ~0008835

I tracked it down to one line in the user.cfg:
If the line
            <FCBool Name="AutoRecompute" Value="1"/>
is present, the sketcher show the error see attached file user.cfg.bad

If the line is not present, the sketcher works correctly, see attached file user.cfg.good

user.cfg.bad (25,019 bytes)
user.cfg.good (24,966 bytes)

Kunda1

2017-06-02 15:18

administrator   ~0009258

Thanks chrisb. @yorik can you weigh in?

FYI upon closing this ticket, please check related ticket 0002836 that relies on this one.

abdullah

2017-06-02 17:34

manager   ~0009260

You can follow the lively discussion in here:
https://forum.freecadweb.org/viewtopic.php?f=10&t=19923&start=30#p176660

wmayer

2017-08-19 15:52

administrator   ~0009960

https://github.com/FreeCAD/FreeCAD/commit/2004544e574cb45f7fdb5fb4f7ef02dfcad56aab

Issue History

Date Modified Username Field Change
2016-09-26 16:48 Sterna New Issue
2016-09-26 16:48 Sterna File Added: HiddenSketchFeatures.zip
2017-01-15 15:17 Kunda1 Note Added: 0007796
2017-01-15 15:17 Kunda1 Tag Attached: undo
2017-02-20 22:05 Kunda1 Target Version => 0.17
2017-02-21 15:40 kkremitzki Project FreeCAD => Sketcher
2017-03-20 22:00 Kunda1 Relationship added related to 0002650
2017-03-20 22:02 Kunda1 Note Added: 0008669
2017-04-28 20:38 Kunda1 Note Added: 0008817
2017-04-30 05:02 chrisb Note Added: 0008832
2017-04-30 06:59 Sterna File Added: system.cfg
2017-04-30 06:59 Sterna File Added: user.cfg
2017-04-30 06:59 Sterna Note Added: 0008833
2017-04-30 21:42 chrisb File Added: user.cfg.bad
2017-04-30 21:42 chrisb File Added: user.cfg.good
2017-04-30 21:42 chrisb Note Added: 0008835
2017-04-30 23:09 abdullah Assigned To => abdullah
2017-04-30 23:09 abdullah Status new => assigned
2017-05-27 07:26 abdullah Relationship added related to 0002836
2017-06-02 15:18 Kunda1 Note Added: 0009258
2017-06-02 17:34 abdullah Note Added: 0009260
2017-08-19 15:52 wmayer Status assigned => closed
2017-08-19 15:52 wmayer Resolution open => fixed
2017-08-19 15:52 wmayer Fixed in Version => 0.17
2017-08-19 15:52 wmayer Note Added: 0009960